lib/blog_web/router.ex
defmodule BlogWeb.Router do
  use BlogWeb, :router

  pipeline :browser do
    plug :accepts, ["html"]
    plug :fetch_session
    plug :fetch_flash
    plug :protect_from_forgery
    plug :put_secure_browser_headers
  end

  pipeline :api do
    plug :accepts, ["json"]
  end

  scope "/", BlogWeb do
    pipe_through :browser

    get "/", PageController, :index
    resources "/registrations", UserController
    resources "/posts", PostController do
      resources "/comments", CommentController, only: [:create, :delete]
    end

    resources "/tags", TagController

    post "/post", PostController, :tag

    get "/sign-in", SessionController, :new
    post "/sign-in", SessionController, :create
    delete "/sign-out", SessionController, :delete

    # resources "/tags", TagController
  end

  # Other scopes may use custom stacks.
  # scope "/api", BlogWeb do
  #   pipe_through :api
  # end
end

lib/blog_web/views/layout_view.ex
defmodule BlogWeb.LayoutView do
  use BlogWeb, :view
end

lib/blog_web/templates/layout/app.html.eex
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Blog · Phoenix Framework</title>
    <link rel="stylesheet" href="<%= Routes.static_path(@conn, "/css/app.css") %>"/>
    <link rel="stylesheet" href="https://unpkg.com/spectre.css/dist/spectre.min.css">
    <link rel="stylesheet" href="https://unpkg.com/spectre.css/dist/spectre-exp.min.css">
    <link rel="stylesheet" href="https://unpkg.com/spectre.css/dist/spectre-icons.min.css">
  </head>
  <body>
  <header class="navbar">
    <section class="navbar-section">
        <%= link "Home", to: Routes.page_path(@conn, :index) %>
    </section>
    <section class="navbar-center">
      <h2><a href="#" class="navbar-brand">BLOG</a></h2>
    </section>
    <section class="navbar-section">
      <div class="input-group input-inline">
        <%= link "Create Post", to: Routes.post_path(@conn, :new), class: "btn btn-primary input-group-btn" %>
      </div>
    </section>
  
</header>
    
    <main role="main" class="container">
      <p class="alert alert-info" role="alert"><%= get_flash(@conn, :info) %></p>
      <p class="alert alert-danger" role="alert"><%= get_flash(@conn, :error) %></p>
      <%= render @view_module, @view_template, assigns %>
    </main>
    <script type="text/javascript" src="<%= Routes.static_path(@conn, "/js/app.js") %>"></script>
  </body>
</html>